Luxor PlatformAPI DocumentationCommanderAgents

Create agent

Provisions a new Commander agent. The caller provides the agent secret.

POST
/v2/commander/agents

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/commander/agents" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",    "plan": "lite",    "secret": "stringstringstri"  }'
{  "id": "1d786ea1-9400-4566-94be-d5f400e0490b",  "url": "/v2/commander/agents/1d786ea1-9400-4566-94be-d5f400e0490b"}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}